Description

When trying to create a openstack based VM I'm getting the following:

12:31:20 rails.1   | 2017-09-25T12:31:20 ed8f26f9 [app] [F] ActionView::Template::Error (undefined

 method `nics' for #<Fog::Compute::OpenStack::Server:0x00007fc770e6e968>

12:31:20 rails.1   |  | Did you mean?  nics=):

12:31:20 rails.1   | 2017-09-25T12:31:20 ed8f26f9 [app] [F]     13: <%= select_f f, :tenant_id, co

mpute_resource.tenants, :id, :name, {}, :label => _('Tenant'), :label_size => "col-md-2" %>

12:31:20 rails.1   |  |     14: 

12:31:20 rails.1   |  |     15: <%= select_f f, :security_groups, compute_resource.security_groups

, :name, :name, {}, :label => _("Security group"), :label_size => "col-md-2"  %>

12:31:20 rails.1   |  |     16: <%= select_f f, :nics, compute_resource.internal_networks, :id, :n

ame,

12:31:20 rails.1   |  |     17:              {}, { :label => _('Internal network'), :label_size =>

 "col-md-2", :multiple => true } %>

12:31:20 rails.1   |  |     18: <%= selectable_f f, :network, compute_resource.address_pools, { in

clude_blank: 'None' }, { :label => _("Floating IP network"), :label_size => "col-md-2" } %>

12:31:20 rails.1   |  |     19: <%= checkbox_f f, :boot_from_volume, {:label => _("Boot from volum

e"), :label_size => "col-md-2", :help_inline => _("Create new boot volume from image")}, "true", "

false" %>

12:31:20 rails.1   | 2017-09-25T12:31:20 ed8f26f9 [app] [F]   

12:31:20 rails.1   | 2017-09-25T12:31:20 ed8f26f9 [app] [F] app/helpers/form_helper.rb:130:in `blo

ck in select_f'

12:31:20 rails.1   |  | app/helpers/form_helper.rb:386:in `block (3 levels) in field'

12:31:20 rails.1   |  | app/helpers/form_helper.rb:382:in `block (2 levels) in field'

12:31:20 rails.1   |  | app/helpers/form_helper.rb:380:in `block in field'

12:31:20 rails.1   |  | app/helpers/form_helper.rb:379:in `field'

12:31:20 rails.1   |  | app/helpers/form_helper.rb:127:in `select_f'

12:31:20 rails.1   |  | app/views/compute_resources_vms/form/openstack/_base.html.erb:16:in `_23e7

6d578132c66d4539c591a8182f2e'

12:31:20 rails.1   |  | app/views/compute_resources_vms/new.html.erb:5:in `block (2 levels) in _b5

9ffcf9041aac677603137870700ca1'

12:31:20 rails.1   |  | app/views/compute_resources_vms/new.html.erb:4:in `block in _b59ffcf9041aa

c677603137870700ca1'

12:31:20 rails.1   |  | app/views/compute_resources_vms/new.html.erb:3:in `_b59ffcf9041aac67760313

7870700ca1'

History

#1 - 09/25/2017 05:16 PM - Ivan Necas

- Priority changed from Normal to High

#2 - 04/30/2018 11:50 AM - Ohad Levy

is this really high? (just wondering as its open for a long time)
#3 - 04/30/2018 01:52 PM - Daniel Lobato Garcia

I think this was solved a long time ago by #21675 

https://github.com/theforeman/foreman/commit/3e94c50c7d9c0fc3f80ccdfeac651faf2458b115#diff-cc2e9932b7139b0f8c1fb86aba99a4a3 , would you

mind to check or close as you opened the issue?

#4 - 05/21/2018 11:14 AM - Daniel Lobato Garcia

- Status changed from New to Closed

Closing as I don't think it's an issue any more , see my comment before. Please reopen if it's not the case.
